%undefine _debugsource_packages

Summary: Console hex editor
Name: heme
Version: 0.4.2
Release: 5%{?dist}
License: GPLv2
Group: Applications/Editors
URL: http://heme.sourceforge.net/
Source: http://dl.sf.net/heme/heme-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: ncurses-devel


%description
Heme is a fast and portable console hex editor. It has undo support, ability
to fill a range of addresses with the specified byte, ability to search for
a single byte or character string.

Offsets can be given in hexadecimal, octal or decimal. There are two editing
modes: hex and ASCII. In hex mode you type hexadecimal digits and in ASCII
mode you type characters. In ASCII mode the cursor is automatically moved
to the next byte after typing a character.


%prep
%setup -q


%build 
export CFLAGS="%{optflags} -DHAVE_MMAP"
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf %{buildroot}
%{__install} -Dp -m0755 heme %{buildroot}%{_bindir}/heme
%{__install} -Dp -m0644 heme.1 %{buildroot}%{_mandir}/man1/heme.1


%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-, root, root, 0755)
%doc COPYING INSTALL README THANKS
%doc %{_mandir}/man1/heme.1*
%{_bindir}/heme


%changelog
* Fri Nov  3 2017 J. Randall Owens <jrowens@deneb.ghiapet.net> - 0.4.2-5
- fix for new debugsource macros
- clean up old code

* Fri Nov 25 2016 J. Randall Owens <jrowens@ghiapet.net> - 0.4.2-4
- clean up per rpmlint
- more specific License

* Sun Jan  3 2010 J. Randall Owens <jrowens@ghiapet.net> - 0.4.2-2
- rebuild for Fedora 12

* Mon Jan 29 2007 Dag Wieers <dag@wieers.com> - 0.4.2-1 - +/
- Initial package. (using DAR)
